Attribute VB_Name = "Sweep"
'*************************************************
'* DESCRIPTION:  Agilent E4991A Sample Program
'*
'* AUTHOR:       Agilent Technologies Japan, Ltd.
'* CREATED:      4/10/2001
'* PROGRAM NAME: sweep.bas
'* REVISION:     A.01.00
'*
'*     Copyright (c) Agilent Technologies,
'*              All rights reserved.
'*
'*
'*  Customer shall have the personal, non-
'* transferable rights to use, copy or modify
'* this SAMPLE PROGRAM for Customer's internal
'* operations. Customer shall use the SAMPLE
'* PROGRAM solely and exclusively for its own
'* purpose and shall not license, lease, market
'* or distribute the SAMPLE PROGRAM or
'* modification or any part thereof.
'*
'*  Agilent Technologies shall not be liable for
'* the quality, performance or behavior of the
'* SAMPLE PROGRAM. Agilent Technologies especially
'* disclaims that the operation of the SAMPLE
'* PROGRAM shall be uninterrupted or error free.
'* This SAMPLE PROGRAM is provided AS IS.
'*
'*  AGILENT TECHNOLOGIES DISCLAIMS THE IMPLIED
'* WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
'* A PARTICULAR PURPOSE.
'*
'*  Agilent Technologies shall not be liable for
'* any infringement of any patent, trademark,
'* copyright or other proprietary rights by the
'* SAMPLE PROGRAM or its use. Agilent Technologies
'* does not warrant that the SAMPLE PROGRAM is
'* free from infringements or such rights of third
'* parties. However, Agilent Technologies will not
'* knowingly infringe or deliver a software that
'* infringes the patent, trademark, copyright or
'* other proprietary right of a third party.
'*
'*************************************************

Sub Sweep()
  Dim trc As Integer
  Dim swp_count As Integer, swp_bool As Integer, bool As Integer
  
  trc = 1
  swp_count = 4
  
  ' E4991A settings
  
  SCPI.Output "*CLS"
  SCPI.Output "DISP:TRAC" & CStr(trc) & " ON"
  SCPI.Output "CALC:AVER:COUN " & CStr(swp_count)
  SCPI.Output "CALC:AVER ON"
  
  SCPI.Output "TRIG:SOUR INT"
  SCPI.Output "INIT:CONT OFF"
  SCPI.Output "ABOR"
  
  swp_bool = SCPI.Query("CALC:AVER?")
  If swp_bool = 1 Then SCPI.Output "CALC:AVER:CLE"
  
  bool = SingleMeasure
  If bool = 0 Then MsgBox ("Sweep Aborted")
  
  End
  
End Sub


